unit Unit1_Wallpaper_About;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls,
  ShellAPI,
  registry;

type
  TWallpaper_About = class(TForm)
    Button1: TButton;
    MyLabel: TLabel;
    LabelAdi: TLabel;
    LabelLicensed: TLabel;
    LabelWebsite: TLabel;
    Panel1: TPanel;
    Image1: TImage;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure LabelAdiClick(Sender: TObject);
    procedure LabelAdiMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure LabelAdiMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure LabelWebsiteClick(Sender: TObject);
  private
    { Private declarations }
    HintAdi : string;
    HintWebsite : string;
  public
    { Public declarations }
  end;

var
  Wallpaper_About: TWallpaper_About;

implementation

{$R *.DFM}
uses Unit1_Wallpaper;
procedure TWallpaper_About.FormShow(Sender: TObject);
begin
     if (Form1.Width > Width) then
        Left := Form1.Left + (Form1.Width - Width) div 2
     else
        Left := Form1.Left;

     if (Form1.Height > Height) then
        Top := Form1.Top + (Form1.Height - Height) div 2
     else
        Top := Form1.Top;
end;

procedure TWallpaper_About.Button1Click(Sender: TObject);
begin
     Close;
end;

procedure TWallpaper_About.FormCreate(Sender: TObject);
var  reg : TRegistry;
begin
     //MyLabel.Font.Name := Courier;
     MyLabel.Font.Size := 10;
     MyLabel.Caption := 'Adi Nugroho' +#13#10+
                        '   ' + 'Jurusan Fisika' + #13#10+
                        '   ' + 'FMIPA - UGM' +#13#10+
                        '   ' + 'Yogyakarta';
                        
     reg := TRegistry.Create;
     reg.RootKey := HKEY_LOCAL_MACHINE;
     reg.OpenKey ('\Software\Microsoft\Windows\CurrentVersion\', false);
     LabelLicensed.Caption := 'Registered to:' + #13#10 +
                              '   ' +  reg.ReadString ('RegisteredOwner') + #13#10 +
                              '   ' +  reg.ReadString ('RegisteredOrganization');
                              
     HintAdi := 'any comments, critics or ' +#13#10+
                'just say "This is bad" ' + #13#10 +
                'please email me ...';
     HintWebsite :=  'my personal website' + #13#10 +
                       'programming, humor, articles, etc..';

     LabelAdi.Hint := HintAdi;
     LabelWebsite.Hint := HintWebsite;
end;

procedure TWallpaper_About.LabelAdiClick(Sender: TObject);
begin
     ShellExecute (Handle, 'open', 'mailto:sendto_adinugroho@yahoo.com',nil,nil,SW_SHOW);
end;

procedure TWallpaper_About.LabelAdiMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
     LabelAdi.Font.Color := clRed;
end;

procedure TWallpaper_About.LabelAdiMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
     LabelAdi.Font.Color := clLime;
end;

procedure TWallpaper_About.LabelWebsiteClick(Sender: TObject);
begin
     ShellExecute (Handle, 'open', 'http://www.geocities.com/iniwebsiteku/index.htm',nil,nil,SW_SHOW);
end;

end.
